Subject: [bug#63854] [PATCH] gnu: po4a: Fix SGML tests.

From: Bruno Victal <[email-masked]>
Date: Wed, 6 Sep 2023 15:28:39 +0100

Hi Maxim,

On 2023-09-06 15:05, Maxim Cournoyer wrote:
>> Interesting, looking at opensp it seems that it also makes use of the
>> SGML_CATALOG_FILES environment variable so I don't think it shouldn't
>> be removed though I don't know if it's valid for more than one package
>> to share the same native-search-path.
> 
> The search paths are not currently 'merged', but if they are exactly
> defined the same way (could by via a $SGML_CATALOG_FILES export
> defininition (guix search-paths)) then it should work normally.

Indeed, this is what I'm doing in 12/61 from the #65479-v1 [1] patch
series. (hence the partial integration mentioned in the cover letter)

[1]: <https://issues.guix.gnu.org/65479>

-- 
Furthermore, I consider that nonfree software must be eradicated.

Cheers,
Bruno.